=== modified file 'lib/canonical/launchpad/webapp/configure.zcml'
--- lib/canonical/launchpad/webapp/configure.zcml	2011-12-22 15:41:46 +0000
+++ lib/canonical/launchpad/webapp/configure.zcml	2011-12-24 16:17:21 +0000
@@ -45,22 +45,22 @@
         factory="canonical.launchpad.webapp.dbpolicy.MasterDatabasePolicy"
         />
     <adapter
-        for="canonical.launchpad.layers.WebServiceLayer"
+        for="lp.layers.WebServiceLayer"
         provides="canonical.launchpad.webapp.interfaces.IDatabasePolicy"
         factory="canonical.launchpad.webapp.dbpolicy.WebServiceDatabasePolicyFactory"
         />
     <adapter
-        for="canonical.launchpad.layers.FeedsLayer"
+        for="lp.layers.FeedsLayer"
         provides="canonical.launchpad.webapp.interfaces.IDatabasePolicy"
         factory="canonical.launchpad.webapp.dbpolicy.SlaveOnlyDatabasePolicy"
         />
     <adapter
-        for="canonical.launchpad.layers.WebServiceLayer"
+        for="lp.layers.WebServiceLayer"
         provides="lazr.restful.interfaces.IWebBrowserOriginatingRequest"
         factory="canonical.launchpad.webapp.servers.web_service_request_to_browser_request"
         />
     <adapter
-        for="canonical.launchpad.layers.WebServiceLayer"
+        for="lp.layers.WebServiceLayer"
         provides="lazr.restful.interfaces.INotificationsProvider"
         factory="canonical.launchpad.webapp.interfaces.INotificationRequest"
         />
@@ -440,7 +440,7 @@
         name="+whichdb"
         permission="zope.Public"
         class="canonical.launchpad.webapp.dbpolicy.WhichDbView"
-        layer="canonical.launchpad.layers.PageTestLayer"
+        layer="lp.layers.PageTestLayer"
         />
 
     <class class="canonical.launchpad.webapp.vocabulary.CountableIterator">

=== modified file 'lib/canonical/launchpad/webapp/error.py'
--- lib/canonical/launchpad/webapp/error.py	2011-12-07 04:57:36 +0000
+++ lib/canonical/launchpad/webapp/error.py	2011-12-24 16:17:21 +0000
@@ -25,7 +25,7 @@
 from zope.interface import implements
 
 from canonical.config import config
-import canonical.launchpad.layers
+import lp.layers
 from canonical.launchpad.webapp.interfaces import ILaunchBag
 from canonical.launchpad.webapp.publisher import LaunchpadView
 from lp.services.propertycache import cachedproperty
@@ -73,7 +73,7 @@
         self.computeDebugOutput()
         if config.canonical.show_tracebacks:
             self.show_tracebacks = True
-        if canonical.launchpad.layers.DebugLayer.providedBy(self.request):
+        if lp.layers.DebugLayer.providedBy(self.request):
             self.debugging = True
         self.specialuser = getUtility(ILaunchBag).developer
 
@@ -144,7 +144,7 @@
 
     @property
     def layer_help(self):
-        if canonical.launchpad.layers.FeedsLayer.providedBy(self.request):
+        if lp.layers.FeedsLayer.providedBy(self.request):
             return '''<a href="https://help.launchpad.net/Feeds">
                       Help with Launchpad feeds</a>'''
         else:

=== modified file 'lib/canonical/launchpad/webapp/errorlog.py'
--- lib/canonical/launchpad/webapp/errorlog.py	2011-12-19 23:38:16 +0000
+++ lib/canonical/launchpad/webapp/errorlog.py	2011-12-24 16:17:21 +0000
@@ -32,7 +32,7 @@
 from zope.traversing.namespace import view
 
 from canonical.config import config
-from canonical.launchpad.layers import WebServiceLayer
+from lp.layers import WebServiceLayer
 from canonical.launchpad.webapp.adapter import (
     get_request_duration,
     soft_timeout_expired,

=== modified file 'lib/canonical/launchpad/webapp/metazcml.py'
--- lib/canonical/launchpad/webapp/metazcml.py	2011-04-27 16:01:06 +0000
+++ lib/canonical/launchpad/webapp/metazcml.py	2011-12-24 16:17:21 +0000
@@ -52,7 +52,7 @@
 from zope.security.zcml import IPermissionDirective
 
 from canonical.config import config
-from canonical.launchpad.layers import FeedsLayer
+from lp.layers import FeedsLayer
 from canonical.launchpad.webapp.interfaces import (
     IApplicationMenu,
     ICanonicalUrlData,

=== modified file 'lib/canonical/launchpad/webapp/publication.py'
--- lib/canonical/launchpad/webapp/publication.py	2011-12-24 15:54:55 +0000
+++ lib/canonical/launchpad/webapp/publication.py	2011-12-24 16:17:21 +0000
@@ -56,7 +56,7 @@
 from zope.security.proxy import removeSecurityProxy
 
 from canonical.config import config
-import canonical.launchpad.layers as layers
+import lp.layers as layers
 from lp.services.database.readonly import is_read_only
 import canonical.launchpad.webapp.adapter as da
 from canonical.launchpad.webapp.dbpolicy import LaunchpadDatabasePolicy

=== modified file 'lib/canonical/launchpad/webapp/publisher.py'
--- lib/canonical/launchpad/webapp/publisher.py	2011-11-25 02:19:28 +0000
+++ lib/canonical/launchpad/webapp/publisher.py	2011-12-24 16:17:21 +0000
@@ -60,7 +60,7 @@
     )
 from zope.traversing.browser.interfaces import IAbsoluteURL
 
-from canonical.launchpad.layers import (
+from lp.layers import (
     LaunchpadLayer,
     setFirstLayer,
     WebServiceLayer,

=== modified file 'lib/canonical/launchpad/webapp/servers.py'
--- lib/canonical/launchpad/webapp/servers.py	2011-12-23 16:00:20 +0000
+++ lib/canonical/launchpad/webapp/servers.py	2011-12-24 16:17:21 +0000
@@ -63,7 +63,7 @@
 
 from canonical.config import config
 from lp.xmlrpc.interfaces import IPrivateApplication
-import canonical.launchpad.layers
+import lp.layers
 from canonical.launchpad.webapp.authentication import (
     check_oauth_signature,
     get_oauth_authorization,
@@ -615,7 +615,7 @@
 
     implements(
         ILaunchpadBrowserApplicationRequest, ISynchronizer,
-        canonical.launchpad.layers.LaunchpadLayer)
+        lp.layers.LaunchpadLayer)
 
     retry_max_count = 5    # How many times we're willing to retry
 
@@ -825,7 +825,7 @@
     It provides LaunchpadLayer and adds a mock INotificationRequest
     implementation.
 
-    >>> canonical.launchpad.layers.LaunchpadLayer.providedBy(request)
+    >>> lp.layers.LaunchpadLayer.providedBy(request)
     True
     >>> INotificationRequest.providedBy(request)
     True
@@ -860,7 +860,7 @@
     """
     implements(
         INotificationRequest, IBasicLaunchpadRequest, IParticipation,
-        canonical.launchpad.layers.LaunchpadLayer)
+        lp.layers.LaunchpadLayer)
 
     # These two attributes satisfy IParticipation.
     principal = None
@@ -959,11 +959,11 @@
         """See zope.app.publication.interfaces.IPublicationRequestFactory"""
         assert output_stream is None, 'output_stream is deprecated in Z3.2'
 
-        # Mark the request with the 'canonical.launchpad.layers.debug' layer
+        # Mark the request with the 'lp.layers.debug' layer
         request = HTTPPublicationRequestFactory.__call__(
             self, input_stream, env)
-        canonical.launchpad.layers.setFirstLayer(
-            request, canonical.launchpad.layers.DebugLayer)
+        lp.layers.setFirstLayer(
+            request, lp.layers.DebugLayer)
         return request
 
 
@@ -1122,13 +1122,13 @@
 
 class FeedsBrowserRequest(LaunchpadBrowserRequest):
     """Request type for a launchpad feed."""
-    implements(canonical.launchpad.layers.FeedsLayer)
+    implements(lp.layers.FeedsLayer)
 
 
 # ---- apidoc
 
 class APIDocBrowserRequest(LaunchpadBrowserRequest):
-    implements(canonical.launchpad.layers.APIDocLayer)
+    implements(lp.layers.APIDocLayer)
 
 
 class APIDocBrowserPublication(LaunchpadBrowserPublication):
@@ -1138,7 +1138,7 @@
 # ---- testopenid
 
 class TestOpenIDBrowserRequest(LaunchpadBrowserRequest):
-    implements(canonical.launchpad.layers.TestOpenIDLayer)
+    implements(lp.layers.TestOpenIDLayer)
 
 
 class TestOpenIDBrowserPublication(LaunchpadBrowserPublication):
@@ -1307,7 +1307,7 @@
 
 
 class LaunchpadWebServiceRequestTraversal(WebServiceRequestTraversal):
-    implements(canonical.launchpad.layers.WebServiceLayer)
+    implements(lp.layers.WebServiceLayer)
 
     def getRootURL(self, rootsite):
         """See IBasicLaunchpadRequest."""

=== modified file 'lib/canonical/launchpad/webapp/tests/test_dbpolicy.py'
--- lib/canonical/launchpad/webapp/tests/test_dbpolicy.py	2011-12-24 15:54:55 +0000
+++ lib/canonical/launchpad/webapp/tests/test_dbpolicy.py	2011-12-24 16:17:21 +0000
@@ -25,7 +25,7 @@
     IMasterStore,
     ISlaveStore,
     )
-from canonical.launchpad.layers import (
+from lp.layers import (
     FeedsLayer,
     setFirstLayer,
     WebServiceLayer,

=== modified file 'lib/canonical/launchpad/webapp/tests/test_errorlog.py'
--- lib/canonical/launchpad/webapp/tests/test_errorlog.py	2011-12-19 23:38:16 +0000
+++ lib/canonical/launchpad/webapp/tests/test_errorlog.py	2011-12-24 16:17:21 +0000
@@ -30,7 +30,7 @@
 from zope.security.interfaces import Unauthorized
 
 from canonical.config import config
-from canonical.launchpad.layers import WebServiceLayer
+from lp.layers import WebServiceLayer
 from canonical.launchpad.webapp.errorlog import (
     _filter_session_statement,
     _is_sensitive,

=== modified file 'lib/lp/answers/tests/test_publisher.py'
--- lib/lp/answers/tests/test_publisher.py	2010-08-20 20:31:18 +0000
+++ lib/lp/answers/tests/test_publisher.py	2011-12-24 16:17:21 +0000
@@ -8,7 +8,7 @@
 import StringIO
 
 from canonical.config import config
-from canonical.launchpad.layers import WebServiceLayer
+from lp.layers import WebServiceLayer
 from canonical.testing.layers import FunctionalLayer
 from lp.answers.publisher import (
     AnswersBrowserRequest,

=== modified file 'lib/lp/app/browser/configure.zcml'
--- lib/lp/app/browser/configure.zcml	2011-12-20 13:02:47 +0000
+++ lib/lp/app/browser/configure.zcml	2011-12-24 16:17:21 +0000
@@ -34,7 +34,7 @@
     <browser:page
         for="*"
         name="launchpad_form"
-        layer="canonical.launchpad.layers.LaunchpadLayer"
+        layer="lp.layers.LaunchpadLayer"
         permission="zope.Public"
         template="../templates/launchpad-form.pt"
         class="lp.app.browser.launchpad.Macro"
@@ -42,7 +42,7 @@
     <browser:page
         for="*"
         name="launchpad_widget_macros"
-        layer="canonical.launchpad.layers.LaunchpadLayer"
+        layer="lp.layers.LaunchpadLayer"
         permission="zope.Public"
         template="../templates/launchpad-widget-macros.pt"
         class="lp.app.browser.launchpad.Macro"

=== modified file 'lib/lp/app/browser/launchpad.py'
--- lib/lp/app/browser/launchpad.py	2011-12-23 23:44:59 +0000
+++ lib/lp/app/browser/launchpad.py	2011-12-24 16:17:21 +0000
@@ -70,7 +70,7 @@
 from lp.services.temporaryblobstorage.interfaces import (
     ITemporaryStorageManager,
     )
-from canonical.launchpad.layers import WebServiceLayer
+from lp.layers import WebServiceLayer
 from canonical.launchpad.webapp import (
     canonical_name,
     canonical_url,

=== modified file 'lib/lp/app/browser/tales.py'
--- lib/lp/app/browser/tales.py	2011-12-20 23:27:55 +0000
+++ lib/lp/app/browser/tales.py	2011-12-24 16:17:21 +0000
@@ -53,7 +53,7 @@
     IHasMugshot,
     IPrivacy,
     )
-from canonical.launchpad.layers import LaunchpadLayer
+from lp.layers import LaunchpadLayer
 from canonical.launchpad.webapp import (
     canonical_url,
     urlappend,

=== modified file 'lib/lp/blueprints/tests/test_publisher.py'
--- lib/lp/blueprints/tests/test_publisher.py	2010-08-20 20:31:18 +0000
+++ lib/lp/blueprints/tests/test_publisher.py	2011-12-24 16:17:21 +0000
@@ -6,7 +6,7 @@
 __metaclass__ = type
 
 from canonical.config import config
-from canonical.launchpad.layers import WebServiceLayer
+from lp.layers import WebServiceLayer
 from canonical.testing.layers import FunctionalLayer
 from lp.blueprints.publisher import BlueprintsLayer
 from lp.testing import TestCase

=== modified file 'lib/lp/bugs/tests/test_publisher.py'
--- lib/lp/bugs/tests/test_publisher.py	2010-08-20 20:31:18 +0000
+++ lib/lp/bugs/tests/test_publisher.py	2011-12-24 16:17:21 +0000
@@ -6,7 +6,7 @@
 __metaclass__ = type
 
 from canonical.config import config
-from canonical.launchpad.layers import WebServiceLayer
+from lp.layers import WebServiceLayer
 from canonical.testing.layers import FunctionalLayer
 from lp.bugs.publisher import BugsLayer
 from lp.testing import TestCase

=== modified file 'lib/lp/code/tests/test_publisher.py'
--- lib/lp/code/tests/test_publisher.py	2010-08-20 20:31:18 +0000
+++ lib/lp/code/tests/test_publisher.py	2011-12-24 16:17:21 +0000
@@ -6,7 +6,7 @@
 __metaclass__ = type
 
 from canonical.config import config
-from canonical.launchpad.layers import WebServiceLayer
+from lp.layers import WebServiceLayer
 from canonical.testing.layers import FunctionalLayer
 from lp.code.publisher import CodeLayer
 from lp.testing import TestCase

=== renamed file 'lib/canonical/launchpad/layers.py' => 'lib/lp/layers.py'
=== modified file 'lib/lp/services/feeds/browser.py'
--- lib/lp/services/feeds/browser.py	2011-12-20 22:25:19 +0000
+++ lib/lp/services/feeds/browser.py	2011-12-24 16:17:21 +0000
@@ -29,7 +29,7 @@
 from zope.security.interfaces import Unauthorized
 
 from canonical.config import config
-from canonical.launchpad.layers import FeedsLayer
+from lp.layers import FeedsLayer
 from canonical.launchpad.webapp import (
     canonical_name,
     canonical_url,

=== modified file 'lib/lp/services/feeds/configure.zcml'
--- lib/lp/services/feeds/configure.zcml	2011-12-20 22:25:19 +0000
+++ lib/lp/services/feeds/configure.zcml	2011-12-24 16:17:21 +0000
@@ -47,7 +47,7 @@
         permission="zope.Public"
         class="canonical.launchpad.webapp.login.FeedsUnauthorizedView"
         attribute="__call__"
-        layer="canonical.launchpad.layers.FeedsLayer"
+        layer="lp.layers.FeedsLayer"
         />
 
 </configure>

=== modified file 'lib/lp/services/feeds/doc/feeds.txt'
--- lib/lp/services/feeds/doc/feeds.txt	2011-12-20 10:52:02 +0000
+++ lib/lp/services/feeds/doc/feeds.txt	2011-12-24 16:17:21 +0000
@@ -61,7 +61,7 @@
 
 Set the layer on the request for all subsequent uses.
 
-    >>> from canonical.launchpad.layers import setFirstLayer, FeedsLayer
+    >>> from lp.layers import setFirstLayer, FeedsLayer
     >>> setFirstLayer(request, FeedsLayer)
 
 If the context object is not an IThing then the view will not be

=== modified file 'lib/lp/services/librarian/browser.py'
--- lib/lp/services/librarian/browser.py	2011-12-22 05:37:22 +0000
+++ lib/lp/services/librarian/browser.py	2011-12-24 16:17:21 +0000
@@ -19,7 +19,7 @@
 from zope.publisher.interfaces import NotFound
 from zope.security.interfaces import Unauthorized
 
-from canonical.launchpad.layers import WebServiceLayer
+from lp.layers import WebServiceLayer
 from canonical.launchpad.webapp.authorization import check_permission
 from canonical.launchpad.webapp.publisher import (
     canonical_url,

=== modified file 'lib/lp/services/webservice/configure.zcml'
--- lib/lp/services/webservice/configure.zcml	2011-12-22 16:03:38 +0000
+++ lib/lp/services/webservice/configure.zcml	2011-12-24 16:17:21 +0000
@@ -47,7 +47,7 @@
     <!-- WebService uses the default LaunchpadRootNavigation -->
     <view
         for="lp.services.webservice.interfaces.IWebServiceApplication"
-        type="canonical.launchpad.layers.WebServiceLayer"
+        type="lp.layers.WebServiceLayer"
         factory="lp.app.browser.launchpad.LaunchpadRootNavigation"
         provides="zope.publisher.interfaces.browser.IBrowserPublisher"
         />

=== modified file 'lib/lp/testing/publication.py'
--- lib/lp/testing/publication.py	2011-12-20 13:02:47 +0000
+++ lib/lp/testing/publication.py	2011-12-24 16:17:21 +0000
@@ -22,7 +22,7 @@
 from zope.security.management import restoreInteraction
 from zope.security.proxy import removeSecurityProxy
 
-import canonical.launchpad.layers as layers
+import lp.layers as layers
 from canonical.launchpad.webapp import urlsplit
 from canonical.launchpad.webapp.interaction import (
     get_current_principal,

=== modified file 'lib/lp/testing/views.py'
--- lib/lp/testing/views.py	2011-12-19 23:38:16 +0000
+++ lib/lp/testing/views.py	2011-12-24 16:17:21 +0000
@@ -18,7 +18,7 @@
     newInteraction,
     )
 
-from canonical.launchpad.layers import setFirstLayer
+from lp.layers import setFirstLayer
 from canonical.launchpad.webapp.interfaces import (
     ICanonicalUrlData,
     IPlacelessAuthUtility,

=== modified file 'lib/lp/testopenid/browser/configure.zcml'
--- lib/lp/testopenid/browser/configure.zcml	2011-05-27 17:09:42 +0000
+++ lib/lp/testopenid/browser/configure.zcml	2011-12-24 16:17:21 +0000
@@ -67,7 +67,7 @@
         for="..interfaces.server.ITestOpenIDApplication"
         class="lp.app.browser.launchpad.LaunchpadImageFolder"
         permission="zope.Public"
-        layer="canonical.launchpad.layers.TestOpenIDLayer"
+        layer="lp.layers.TestOpenIDLayer"
         />
 
     <!-- A simple view used by the page tests. -->
@@ -76,7 +76,7 @@
         name="+echo"
         permission="zope.Public"
         class="..testing.helpers.EchoView"
-        layer="canonical.launchpad.layers.PageTestLayer"
+        layer="lp.layers.PageTestLayer"
         />
 
 </configure>

=== modified file 'lib/lp/translations/browser/tests/test_translationimportqueueentry.py'
--- lib/lp/translations/browser/tests/test_translationimportqueueentry.py	2011-10-07 16:08:17 +0000
+++ lib/lp/translations/browser/tests/test_translationimportqueueentry.py	2011-12-24 16:17:21 +0000
@@ -12,7 +12,7 @@
     )
 from zope.security.proxy import removeSecurityProxy
 
-from canonical.launchpad.layers import setFirstLayer
+from lp.layers import setFirstLayer
 from canonical.launchpad.webapp import canonical_url
 from canonical.launchpad.webapp.servers import LaunchpadTestRequest
 from canonical.testing.layers import LaunchpadFunctionalLayer

=== modified file 'lib/lp/translations/browser/tests/translationimportqueue-views.txt'
--- lib/lp/translations/browser/tests/translationimportqueue-views.txt	2011-12-04 17:51:09 +0000
+++ lib/lp/translations/browser/tests/translationimportqueue-views.txt	2011-12-24 16:17:21 +0000
@@ -5,7 +5,7 @@
 ITranslationImportQueueEntry object.
 
     >>> from zope.component import getUtility, getMultiAdapter
-    >>> from canonical.launchpad.layers import setFirstLayer
+    >>> from lp.layers import setFirstLayer
     >>> from canonical.launchpad.webapp.servers import LaunchpadTestRequest
     >>> from lp.translations.interfaces.translationimportqueue import (
     ...     ITranslationImportQueue)

=== modified file 'lib/lp/translations/tests/test_publisher.py'
--- lib/lp/translations/tests/test_publisher.py	2010-08-20 20:31:18 +0000
+++ lib/lp/translations/tests/test_publisher.py	2011-12-24 16:17:21 +0000
@@ -8,7 +8,7 @@
 import StringIO
 
 from canonical.config import config
-from canonical.launchpad.layers import WebServiceLayer
+from lp.layers import WebServiceLayer
 from canonical.testing.layers import FunctionalLayer
 from lp.testing import TestCase
 from lp.testing.publication import get_request_and_publication

=== modified file 'zcml/override-includes/pagetestlayer-configure-testing.zcml'
--- zcml/override-includes/pagetestlayer-configure-testing.zcml	2009-07-13 18:15:02 +0000
+++ zcml/override-includes/pagetestlayer-configure-testing.zcml	2011-12-24 16:17:21 +0000
@@ -9,7 +9,7 @@
   <adapter
       for="zope.publisher.interfaces.browser.IBrowserRequest"
       provides="zope.publisher.interfaces.browser.IDefaultSkin"
-      factory="canonical.launchpad.layers.PageTestLayer"
+      factory="lp.layers.PageTestLayer"
       />
 
 </configure>

